<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class ParkingLot extends Model
{
    protected $fillable = [ 'firebase_id', 'stall_coordinates', 'reference_image' ];

    public function get_coordinates(){
        return json_decode( $this->stall_coordinates );
    }

    public function set_coordinates( $coordinates ){
        $this->stall_coordinates = json_encode( $coordinates );
        $this->save();
    }
}
